Initiate Remote Scan

Initiate remote scan based on the specified request parameters.

POST /v1/Scanners/InitiateRemoteScan

Request body

optional (49)
NameTypeRequiredDescription
traceIdstringoptional
deviceIdstringoptional
scannerTriggerModeScannerTriggerModesoptional
imagesToCaptureScanImagesConfigoptional
imagesToCapture.documentWhiteLightScanningImageConfigoptional
imagesToCapture.documentWhiteLight.isEnabledbooleanoptional
imagesToCapture.documentInfraredLightScanningImageConfigoptional
imagesToCapture.documentInfraredLight.isEnabledbooleanoptional
imagesToCapture.documentUltravioletLightScanningImageConfigoptional
imagesToCapture.documentUltravioletLight.isEnabledbooleanoptional
imagesToCapture.documentHologramsScanningImageConfigoptional
imagesToCapture.documentHolograms.isEnabledbooleanoptional
imagesToCapture.documentLightPassThroughScanningImageConfigoptional
imagesToCapture.documentLightPassThrough.isEnabledbooleanoptional
imagesToCapture.selfieImageScanningImageConfigoptional
imagesToCapture.selfieImage.isEnabledbooleanoptional
processDocumentInputParamsProcessDocumentInputParamsoptional
processDocumentInputParams.dateFormatstringoptional
processDocumentInputParams.returnFieldsAoibooleanoptional
processDocumentInputParams.returnFieldValidationsbooleanoptional
processDocumentInputParams.returnFieldLabelsbooleanoptional
processDocumentInputParams.returnCalculatedFieldsbooleanoptional
processDocumentInputParams.returnFrontImagebooleanoptional
processDocumentInputParams.returnBackImagebooleanoptional
processDocumentInputParams.returnFaceImagebooleanoptional
processDocumentInputParams.returnSignatureImagebooleanoptional
processDocumentInputParams.returnGhostFaceImagebooleanoptional
processDocumentInputParams.returnFaceImageLocationbooleanoptional
processDocumentInputParams.returnFrontImageLocationbooleanoptional
processDocumentInputParams.returnGhostFaceImageLocationbooleanoptional
processDocumentInputParams.returnSignatureLocationbooleanoptional
processDocumentInputParams.fetchWebFieldsbooleanoptional
processDocumentInputParams.returnDocumentForensicAuthenticationsbooleanoptional
processDocumentInputParams.shouldFailExpiredDocumentsbooleanoptional
processDocumentInputParams.returnMatchBetweenPortraitAndGhostbooleanoptional
processDocumentInputParams.checkForSelfieLivenessbooleanoptional
processDocumentInputParams.performAddressValidationbooleanoptional
processDocumentInputParams.performPostalCodeValidationbooleanoptional
processDocumentInputParams.performIdentityVerificationbooleanoptional
processDocumentInputParams.performAAMVADriverLicenseVerificationbooleanoptional
processDocumentInputParams.performAgeVerificationbooleanoptional
processDocumentInputParams.performKnowledgeBasedAuthenticationbooleanoptional
processDocumentInputParams.performFullNameBreakdownbooleanoptional
processDocumentInputParams.ageLimitinteger / int32optional
processDocumentInputParams.checkForDocumentLivenessbooleanoptional
processDocumentInputParams.shouldHandleEmbeddedChipbooleanoptional
processDocumentInputParams.portraitReplacementThresholdScoreinteger / int32optional
processDocumentInputParams.screenCaptureThresholdScoreinteger / int32optional
processDocumentInputParams.paperPhotocopyThresholdScoreinteger / int32optional

Code sample language

curl -X POST "{{API.SANDBOX_BASE_URL}}/Scanners/InitiateRemoteScan" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "traceId": "string",
  "deviceId": "string",
  "scannerTriggerMode": "Manual",
  "imagesToCapture": {
    "documentWhiteLight": {
      "isEnabled": true
    },
    "documentInfraredLight": {
      "isEnabled": true
    },
    "documentUltravioletLight": {
      "isEnabled": true
    },
    "documentHolograms": {
      "isEnabled": true
    },
    "documentLightPassThrough": {
      "isEnabled": true
    },
    "selfieImage": {
      "isEnabled": true
    }
  },
  "processDocumentInputParams": {
    "dateFormat": "yyyy-MM-dd",
    "returnFieldsAoi": true,
    "returnFieldValidations": true,
    "returnFieldLabels": true,
    "returnCalculatedFields": true,
    "returnFrontImage": true,
    "returnBackImage": true,
    "returnFaceImage": true,
    "returnSignatureImage": true,
    "returnGhostFaceImage": true,
    "returnFaceImageLocation": true,
    "returnFrontImageLocation": true,
    "returnGhostFaceImageLocation": false,
    "returnSignatureLocation": false,
    "fetchWebFields": false,
    "returnDocumentForensicAuthentications": false,
    "shouldFailExpiredDocuments": true,
    "returnMatchBetweenPortraitAndGhost": false,
    "checkForSelfieLiveness": false,
    "performAddressValidation": false,
    "performPostalCodeValidation": false,
    "performIdentityVerification": false,
    "performAAMVADriverLicenseVerification": false,
    "performAgeVerification": false,
    "performKnowledgeBasedAuthentication": false,
    "performFullNameBreakdown": false,
    "ageLimit": 0,
    "checkForDocumentLiveness": false,
    "shouldHandleEmbeddedChip": false,
    "portraitReplacementThresholdScore": 0,
    "screenCaptureThresholdScore": 0,
    "paperPhotocopyThresholdScore": 0
  }
}'

Responses

200OK